# Get order by ID Consult all QR Code order information using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/v1/orders/{order_id}` ## Request parameters ### Path - `order_id` (string, required) Order ID returned in the response to the request made for its creation. ## Response parameters - `id` (string, optional) Identifier of the order whose information is being consulted, automatically generated by Mercado Pago. - `user_id` (string, optional) ID of the Mercado Pago account that created the order. - `type` (string, optional) Order type. Possible enum values: - `qr` Order created for Mercado Pago QR Code payments. - `external_reference` (string, optional) External reference of the order, assigned when creating it. - `description` (string, optional) Description of the product or service purchased, the reason for the payment order. - `expiration_time` (string, optional) Specifies the order's validity period in ISO 8601 duration format (e.g., P3Y6M4DT12H30M5S). Minimum of 30 seconds and maximum of 3600 hours. Behavior varies by QR model. Dynamic QR defaults to 15 minutes and honors the value sent. Static QR defaults to 10 minutes and is capped at 10 minutes regardless of the value sent. Hybrid QR follows the same rules per type: the Dynamic QR honors the value sent, while the linked Static QR is always capped at 10 minutes. - `processing_mode` (string, optional) Indicates how the order will be processed. For QR orders, the only allowed value is "automatic", that sets the order to be ready to process. - `total_amount` (string, optional) Total order amount.The field can contain two decimal places or none. - `country_code` (string, optional) Identifier of the site (country) to which the Mercado Pago application that created the order belongs. - `integration_data` (object, optional) Contains information about the Mercado Pago application that created the order. - `integration_data.application_id` (string, optional) Identifier of the Mercado Pago application that created the order. - `integration_data.platform_id` (string, optional) Identifier of the platform, assigned by Mercado Pago. - `integration_data.integrator_id` (string, optional) Identifier of the user who develops the integration that creates the order, assigned by Mercado Pago. It must contain the prefix "dev_" - `integration_data.sponsor` (object, optional) - `integration_data.sponsor.id` (string, optional) Mercado Pago's USER_ID of the integrator system. - `status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled through the API. - `processed` All transactions have been succesfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `status_detail` (string, optional) Details about the status of the order. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled. - `accredited` The order has been successfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `currency` (string, optional) Identifier of the currency used in the order. We currently have the following options. Possible enum values: - `BRL` Brazilian real. - `ARS` Argentine peso. - `CLP` Chilean peso. - `MXN` Mexican peso. - `UYU` Urugayan peso. - `created_date` (string, optional) Order's creation date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Order's las update date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `config` (object, optional) Order type configuration. - `config.qr` (object, optional) QR Code order configuration. - `config.qr.external_pos_id` (string, optional) External identifier of the POS, defined by the integrator during its creation. - `config.qr.mode` (string, optional) QR code mode associated with the order. - `transactions` (object, optional) Contains information about the transactions associated with the order. - `transactions.cash_outs` (array, optional) Contains information about the cashout associated with the order. - `transactions.cash_outs[].id` (string, optional) Identifier of the cashout transaction created in the request, automatically generated by Mercado Pago. - `transactions.cash_outs[].reference_id` (string, optional) Identifier of the cashout associated with the order. - `transactions.cash_outs[].amount` (string, optional) Cashout amount, assigned when creating the order. - `transactions.cash_outs[].status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled through the API. - `processed` All transactions have been succesfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `transactions.cash_outs[].status_detail` (string, optional) Current status or the cashout transaction. Possible enum values: - `created` The transaction has been succesfully created. - `canceled_by_api` The transaction has been canceled through the API. - `accredited` The transaction has been successfully processed. - `refunded` The transaction has been succesfully refunded. - `expired` The transaction expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `in_review` The status of the transaction should be reviewed to identify whether it was processed or failed. - `transactions.cash_outs[].additional_info` (object, optional) Specifies additional cashout information. - `transactions.cash_outs[].additional_info.external_cashier_id` (number, optional) Identifier of the cashier performing the transaction. It can take any value. - `transactions.refunds` (array, optional) Contains information about the refund associated with the order, including information about the payment and cashout transactions. - `transactions.refunds[].id` (string, optional) Identifier of the refund transaction, automatically generated by Mercado Pago. - `transactions.refunds[].transaction_id` (string, optional) Identifier of the "payments" or "cash_outs" that will be refunded, assigned to the transaction at the time of order creation. If it identifies a payment transaction, this value will start with the prefix "PAY", and if it identifies a cashout transactions, it will start with the prefix "CAS". - `transactions.refunds[].reference_id` (string, optional) ID that associates the transaction and its refund. - `transactions.refunds[].amount` (string, optional) Valor devolvido no reembolso. Se o pagamento for com desconto, esse valor serĂ¡ refletido. - `transactions.refunds[].status` (string, optional) Current status of the refund. Possible enum values: - `processing` The refund was successfully requested and is being processed. Enable your Webhooks notifications to receive an alert if the refund was successful, or to find out if there was an error. - `processed` All transactions have been succesfully refunded. - `failed` The refund failed. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_path_param | The Order ID provided in the request path has has an invalid format. It must begin with the prefix "ORD" and be followed by 26 characters. Please confirm it and provide a valid ID to try again. | | 401 | unauthorized | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 404 | order_not_found | The value sent as Order ID does not correspond to a created order, therefore it could not be found. Please check and try again with the correct value. | | 500 | 500 | Internal server error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/orders/{order_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "ORD00001111222233334444555566", "user_id": "5238400195", "type": "qr", "external_reference": "ext_ref_1234", "description": "Smartphone", "expiration_time": "PT16M", "processing_mode": "automatic", "total_amount": "50.00", "country_code": "MX", "integration_data": { "application_id": "1234567890", "platform_id": "dev_1234567890", "integrator_id": "dev_1234", "sponsor": { "id": "446566691" } }, "status": "refunded", "status_detail": "created", "currency": "MXN", "created_date": "2024-09-10T14:26:42.109Z", "last_updated_date": "2024-09-10T14:27:42.109Z", "config": { "qr": { "external_pos_id": "EXTERNALPOS019285", "mode": "hybrid" } }, "transactions": { "cash_outs": [ { "id": "CAS01J67CQQH5904WDBVZEM4JMEP3", "reference_id": "12345678", "amount": "50.00", "status": "refunded", "status_detail": "created", "additional_info": { "external_cashier_id": null } } ], "refunds": [ { "id": "REF01J67CQQH5904WDBVZEM1234D", "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "reference_id": "12345678", "amount": "47.28", "status": "processed" } ] } } ```